# Copyright 2009 Canonical Ltd.  All rights reserved.

"""Event listeners for the example web service."""

__metaclass__ = type
__all__ = ['update_cookbook_revision_number']

from lazr.restful.example.interfaces import ICookbook

def update_cookbook_revision_number(object, event):
    """Increment ICookbook.revision_number."""
    if ICookbook.providedBy(object):
        object.revision_number += 1
